summaryrefslogtreecommitdiff
path: root/pcr/pdsh
diff options
context:
space:
mode:
authoraurelien <aurelien@xload.io>2014-02-06 13:05:40 +0100
committeraurelien <aurelien@xload.io>2014-02-06 13:05:40 +0100
commit747b7887d668a8141ed46ac950b89e3506bde1e7 (patch)
tree4a6911d33a7cd4db297852bf45f71f552cc52d73 /pcr/pdsh
parent3011d31e488c637abf895fd47fa218e99c13d15c (diff)
+ pdsh parallele remote control
Diffstat (limited to 'pcr/pdsh')
-rw-r--r--pcr/pdsh/PKGBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/pcr/pdsh/PKGBUILD b/pcr/pdsh/PKGBUILD
new file mode 100644
index 000000000..0f4fc2461
--- /dev/null
+++ b/pcr/pdsh/PKGBUILD
@@ -0,0 +1,33 @@
+# Contributor: drrossum <d.r.vanrossum at gmx.de>
+# Contributor: sh0 <mee@sh0.org>
+# Maintainer : AurÃelien Desbrieres <aurelien@xload.io>
+
+pkgname=pdsh
+pkgver=2.29
+pkgrel=2
+pkgdesc='Parallel Distributed Shell'
+url='http://code.google.com/p/pdsh/'
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('glibc' 'openssh' 'readline')
+optdepends=('perl: required by the dshbak utility')
+options=('libtool')
+source=("http://pdsh.googlecode.com/files/$pkgname-$pkgver.tar.bz2")
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --mandir=/usr/share/man \
+ --without-rsh \
+ --with-ssh \
+ --with-dshgroups \
+ --with-readline || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}/" install || return 1
+ rmdir "${pkgdir}/usr/sbin"
+}
+
+# vim:set ts=2 sw=2 et: